
textures/fun_prison/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/fun_prison/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/fun_prison/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/fun_prison/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water

}

textures/fun_prison/ladderclip
{
        qer_trans 0.40
	  qer_editor_image textures/fun_prison/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}

textures/fun_prison/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/fun_prison/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm detail
}

textures/fun_prison/hallow
{
	qer_editorimage "textures/fun_prison/hallow.jpg"
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodamage
}

textures/fun_prison/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}


textures/fun_prison/torch
{
	qer_editorimage textures/fun_prison/torch.tga
     q3map_surfacelight 100
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fun_prison/torch.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/fun_prison/torch_blend.tga
		rgbGen wave noise 0.45 0.12 0.9 1.6	//func, amplitude, phase, req
		blendfunc GL_ONE GL_ONE
	}
}

textures/fun_prison/woodburn
{
	qer_editorimage textures/fun_prison/woodburn.tga
     q3map_surfacelight 100
     surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fun_prison/woodburn.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/fun_prison/woodburn_blend.tga
		rgbGen wave noise 0.45 0.12 0.9 1.6	//func, amplitude, phase, req
		blendfunc GL_ONE GL_ONE
	}
}

textures/fun_prison/Flame
{
	qer_editorimage textures/fun_prison/Flameball.tga
     q3map_surfacelight 500
     surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		animMap 10 textures/fun_prison/Flame1.tga textures/fun_prison/Flame2.tga textures/fun_prison/Flame3.tga textures/fun_prison/Flame4.tga textures/fun_prison/Flame5.tga textures/fun_prison/Flame6.tga textures/fun_prison/Flame7.tga textures/fun_prison/Flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/fun_prison/Flame2.tga textures/fun_prison/Flame3.tga textures/fun_prison/Flame4.tga textures/fun_prison/Flame5.tga textures/fun_prison/Flame6.tga textures/fun_prison/Flame7.tga textures/fun_prison/Flame8.tga textures/fun_prison/Flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/fun_prison/Flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/fun_prison/lamp
{
	qer_editorimage textures/fun_prison/lamp.tga
	q3map_lightimage textures/fun_prison/lamp.tga
	q3map_surfacelight 100
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/fun_prison/lamp.tga
		blendfunc GL_ONE GL_ONE
		tcGen base
                tcmod rotate 100
		//tcMod turb 0.05 0.05 0.05 .05
                tcmod scroll 1.5 -2.0
	}
}

textures/fun_prison/wood_torta
{
	qer_editorimage "textures/fun_prison/wood_torta.jpg"
	surfaceparm nodamage
      surfaceparm nonsolid
	//surfaceparm slick
	{
		map "textures/fun_prison/wood_torta.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/fun_prison/steel_1
{
	qer_editorimage "textures/fun_prison/steel_1.jpg"
     //surfaceparm nonsolid
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/fun_prison/steel_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/fun_prison/waterfall
{
	qer_editorimage textures/fun_prison/waterfall.tga
	qer_trans .90
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	cull disable
	sort 10
	deformvertexes wave 192 sin 0 2 0 .5
	{
		map textures/fun_prison/waterfall.tga
		blendFunc blend
		depthWrite
		tcmod scroll 0 1
		rgbGen identity
	}
}

textures/fun_prison/lava
{
	qer_editorimage textures/fun_prison/lava.tga
	q3map_globaltexture
	surfaceparm trans	
	surfaceparm noimpact
	surfaceparm lava
	q3map_surfacelight 500
	cull disable	
	tesssize 128
	cull disable
	deformVertexes wave 250 sin 4 8 0.15 0.3 
        {
		map textures/fun_prison/lava.tga
                tcmod scale 0.5 0.5
                tcmod scroll 0 0
                tcMod turb 0.1 .1 0.01 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
}

textures/fun_prison/tp_slime
{
              
	qer_editorimage textures/fun_prison/tp_slime.tga
     //q3map_surfacelight 10
	q3map_globaltexture
	qer_trans .80
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	nopicmip
	{
		map textures/fun_prison/tp_slime_1.tga
		blendfunc GL_ONE GL_ONE //SRC_COLOR
		tcMod scroll .02 .02
                       
	}
	{
		map textures/fun_prison/pool.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .6
		tcMod scroll .06 .04
	}
	{
		map textures/fun_prison/tp_slime.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll .05 .05
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc GL_DST_COLOR GL_ZERO
        }

}


textures/fun_prison/chain1
{
	qer_editorimage textures/fun_prison/chain.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
		map textures/fun_prison/chain.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/fun_prison/ivy
{
	surfaceparm trans
	surfaceparm alphashadow
	//surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
qer_trans .5
	{
		map textures/fun_prison/ivy.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/fun_prison/ivy2
{
	surfaceparm trans
	surfaceparm alphashadow
	//surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
qer_trans .5
	{
		map textures/fun_prison/ivy2.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/fun_prison/water //the visible water surface, fades into nothing when alpha blended, used towards walls
{
	qer_editorimage textures/fun_prison/water.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
     q3map_surfacelight 300
	nopicmip
	noMipMaps
	cull none	
	{
		map textures/fun_prison/water.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identitylighting
		alphaGen vertex	
		tcmod scale 1 1			
		tcMod turb 0 .15 0 .015	
	}	
	{
		map textures/fun_prison/water2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identitylighting
		alphaGen vertex	
		tcmod scale 1 1			
		tcMod turb 0 -.15 0 -.015				
	}			
}

textures/fun_prison/gw
{
        qer_editorimage textures/fun_prison/pool.tga
        qer_trans .5
        q3map_surfacelight 3000
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        tessSize 64
        cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/fun_prison/pool.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.010 .05
        }
        {
            map textures/fun_prison/tp_slime.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
        {
            map textures/fun_prison/tp_slime_1.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 .010
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}

textures/fun_prison/icefog
{
	qer_editorimage textures/fun_prison/fog.tga
	qer_trans 0.15
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
	fogparms ( .162 .192 .234 ) 300
}

textures/fun_prison/alb
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/fun_prison/alb_blend.tga
	qer_editorimage textures/fun_prison/alb.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fun_prison/alb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/fun_prison/alb_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}



